> ## Documentation Index
> Fetch the complete documentation index at: https://docs.go.gbgplc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start journey

> Start a customer verification journey using a journey ID. You can also prefill customer data. For more details, see the [start journey guide](/docs/developer-integration/execute-customer-journeys/start-a-journey-step).



## OpenAPI

````yaml docs/go-v1/openapi-v1.json POST /journey/start
openapi: 3.0.3
info:
  title: GBG GO API Reference
  description: >-
    The GBG GO API enables authentication, customer journey execution, task
    management, and tracking verification progress.
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://eu.platform.go.gbgplc.com/captain/api
  - url: https://us.platform.go.gbgplc.com/captain/api
  - url: https://au.platform.go.gbgplc.com/captain/api
  - url: https://api.auth.gbgplc.com/as/token.oauth2
security:
  - bearerAuth: []
paths:
  /journey/start:
    post:
      summary: Start journey
      description: >-
        Start a customer verification journey using a journey ID. You can also
        prefill customer data. For more details, see the [start journey
        guide](/docs/developer-integration/execute-customer-journeys/start-a-journey-step).
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                resourceId:
                  type: string
                  description: >-
                    Unique identifier for the journey. Append '@latest' to use
                    the most recent version.
                  example: >-
                    2ec919f77eb9858f16a9c102913f68c2ede2e31952d3e2b8f5ca7028d5c480bc@latest
                context:
                  type: object
                  description: Prefilled identity data for the journey.
                  example:
                    subject:
                      identity:
                        firstName: John
                        lastName: Doe
                        dateOfBirth: '1990-01-01'
                        emails:
                          - type: home
                            email: john.doe@example.com
                      documents: []
                      biometrics: []
              required:
                - resourceId
      responses:
        '200':
          description: Journey started successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  instanceId:
                    type: string
                    description: Unique identifier for the active journey instance.
        '404':
          description: >-
            Resource not found. This can happen when using an incorrect endpoint
            URL or an invalid resource ID.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 404
                  message:
                    type: string
                    description: Error message describing what went wrong.
                    example: Not Found Error, validate resource Id
                  error:
                    type: string
                    description: Error identifier for programmatic handling.
                    example: not-found-error
        '405':
          description: >-
            HTTP method not allowed for this endpoint. Make sure your journey
            version is included in the resource Id
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 405
                  message:
                    type: string
                    description: Error message explaining the method restriction.
                    example: Method Not Allowed.
                  error:
                    type: string
                    description: Error identifier for programmatic handling.
                    example: method-not-allowed-error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````